Skip to Content
homemade
Dashboard

Delete a VM

DELETE
/api/vms/{vmId}

Deletes the VM and its data. This cannot be undone.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

vmId*string

Response Body

Deleted.

application/json
  1. response
ok*boolean
state*string
Value in"queued""placing""booting""injecting""running""asleep""deep_sleeping""deep_asleep""stopped""failed"
Example Request
curl -X DELETE 'https://api.homemade.dev/api/vms/string'
Example Response
{  "ok": true,  "state": "queued"}